Update Consented Account
curl --request PUT \
--url http://{baseurl}/api/{version}/consent_management/{ConsentPublicId}/accounts/{AccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "http://{baseurl}/api/{version}/consent_management/{ConsentPublicId}/accounts/{AccountId}"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('http://{baseurl}/api/{version}/consent_management/{ConsentPublicId}/accounts/{AccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "_sadfa3CKHJ23LKJHKJHLlNaODPmH1LqSb4",
"application_name": "Centz",
"application_icon_url": "https://www.example.com",
"created_at": "2024-06-14T19:48:18.354Z",
"last_accessed": "2024-05-14T19:48:31.352Z",
"accounts": [
{
"enabled": true,
"nickname": "Lacrosse Fund",
"account_id": "1234123412341234",
"account_number_display": "XXXXXXXX1111"
}
],
"auto_enable_future_accounts": true,
"consented_on": "2024-05-14T19:48:18.352Z",
"revoked_at": null
}Consent Management
Update Consented Account
Updates a consent by enabling or disabling an account. Use this endpoint when an end user wants to change whether or not an account is shared with an app.
PUT
/
api
/
{version}
/
consent_management
/
{ConsentPublicId}
/
accounts
/
{AccountId}
Update Consented Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The consent id. This value is returned in the GET Consent List as id.
The account id selected for update.
API version. Indicates which FDX version is in use.
Example:
"v4"
Body
application/json
Response
200 - application/json
Successful response
Consent object
Example:
"_sadfa3CKHJ23LKJHKJHLlNaODPmH1LqSb4"
Example:
"Centz"
Example:
"https://www.example.com"
Example:
"2024-06-14T19:48:18.354Z"
Example:
"2024-05-14T19:48:31.352Z"
Example:
true
Example:
"2024-05-14T19:48:18.352Z"
Example:
null

